module Top  
(
        input       rst_n,
        output      Test_LED,
// GoConfig IO
        input       GW_BACKGROUND_SCL_INR    ,
        inout       GW_BACKGROUND_SDA_INR    ,
        input       GW_BACKGROUND_SEL_INR    ,
        output      GW_BACKGROUND_CLK        ,
        output      GW_BACKGROUND_DATA_OUT   ,
        output      GW_BACKGROUND_MODEL      ,
        input       GW_BACKGROUND_DATA_IN    ,
        input       GW_BACKGROUND_DATA_IN_EN ,
        output      GW_BACKGROUND_SEL_EXR    ,
        output      GW_BACKGROUND_RECONFIG_N ,
        output      GW_OSC_CLK  
);
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//  Sample code (led_test)
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//TEST 
localparam  CNT_NUM     = 25_000_000;// 
wire clk;

reg led =0;

reg [31:0] led_cnt;


always @(posedge clk or negedge rst_n)
    if (~rst_n)
        led_cnt <=0;
    else if (led_cnt == CNT_NUM-1)
        led_cnt <=0;
    else
        led_cnt <=led_cnt +1;

always @(posedge clk or negedge rst_n)
    if (~rst_n)
        led <=0;
    else if (led_cnt == CNT_NUM-1)
        led <=~led;

assign  clk = GW_OSC_CLK; //25M
assign  Test_LED = led;

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//  Goconfig I2C IP (goConfig_I2C_Top)
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
goConfig_I2C_Top  u_GW_BACKGROUND_I2C(
// I2C IO   : could not rename  
//          : could be constrained to other locations
		 .GW_BACKGROUND_SCL_INR   (GW_BACKGROUND_SCL_INR)   ,
         .GW_BACKGROUND_SDA_INR   (GW_BACKGROUND_SDA_INR)   ,
// Flash IO :   could not rename 
//          :   could be automatically constrained to a specific location by IDE
         .GW_BACKGROUND_CLK       (GW_BACKGROUND_CLK)       ,
         .GW_BACKGROUND_DATA_OUT  (GW_BACKGROUND_DATA_OUT)  ,
         .GW_BACKGROUND_MODEL     (GW_BACKGROUND_MODEL)     ,
         .GW_BACKGROUND_DATA_IN   (GW_BACKGROUND_DATA_IN)   ,
         .GW_BACKGROUND_DATA_IN_EN(GW_BACKGROUND_DATA_IN_EN),
         .GW_BACKGROUND_SEL_EXR   (GW_BACKGROUND_SEL_EXR)   ,
         .GW_BACKGROUND_RECONFIG_N(GW_BCKGROUND_RECONFIG_N),
// General pin
         .GW_BACKGROUND_SEL_INR   (GW_BACKGROUND_SEL_INR)   ,
         .GW_OSC_CLK              (GW_OSC_CLK) 
	);


endmodule