`timescale 1ns / 1ns
module led_top
(
    input rst_n,
    output  led0,
    output  led1,
	inout  GW_BACKGROUND_SDA_INR,
	input  GW_BACKGROUND_SCL_INR,
    output  O_flash_ck,
    output  O_flash_cs_n,
    inout   IO_flash_do,
    output  IO_flash_di,

    output [3:0] Test_pin
);



wire O_active_flash_ready;

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//  Sample code (led_test)
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
wire clk_osc;
assign led0=0;
//assign led0=~led1;

 led_test T1(
.rst_n(rst_n),
.led0(),
.led1(led1),
.clkin(clk_osc)
);

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//  Goconfig I2C IP (goConfig_I2C_Top)
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
goConfig_I2C_Top_wrap T2(
    .GW_BACKGROUND_SDA_INR(GW_BACKGROUND_SDA_INR),
    .GW_BACKGROUND_SCL_INR(GW_BACKGROUND_SCL_INR),
    .O_flash_ck(O_flash_ck),
    .O_flash_cs_n(O_flash_cs_n),
    .IO_flash_do(IO_flash_do ),
    .IO_flash_di(IO_flash_di),

    .GW_OSC_CLK(clk_osc)
    );

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//  Test Pins 
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
    assign GW_BACKGROUND_SCLK_INR   = O_flash_ck;
    assign GW_BACKGROUND_CS_INR     = O_flash_cs_n;
    assign GW_BACKGROUND_MISO_INR   = IO_flash_do;
    assign GW_BACKGROUND_MOSI_INR   = IO_flash_di;

    assign Test_pin ={  GW_BACKGROUND_MOSI_INR,
                        GW_BACKGROUND_MISO_INR,
                        GW_BACKGROUND_CS_INR,
                        GW_BACKGROUND_SCLK_INR};


endmodule